# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'idonethis/version'

Gem::Specification.new do |spec|
  spec.name          = "idonethis-client"
  spec.version       = IDoneThis::VERSION
  spec.authors       = ["Bob Breznak"]
  spec.email         = ["bob.breznak@gmail.com"]
  spec.description   = %q{A simple client for connecting with and getting data iDoneThis.}
  spec.summary       = %q{A hackygem that connects to iDoneThis}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "hashie", "~> 2.0.4"
  spec.add_dependency "faraday", "~> 0.8.7"
  spec.add_dependency "faraday-cookie_jar", "~> 0.0.3"
  spec.add_dependency "nokogiri", "~> 1.5.9"
  spec.add_dependency "faraday_middleware", "~> 0.9.0"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", '~> 2.5'
  spec.add_development_dependency "simplecov", "~> 0.7.1"
end
