# IDoneThis Client

## Installation

Add this line to your application's Gemfile:

    gem 'idonethis-client'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install idonethis-client

## Usage

    # require the gem
    require 'idonethis'

    # set global configurations for all spawned clients
    IDoneThis.configure do |c|
       c.username = 'bob@brez.io'   # your username
       c.password = 'some-password' # your password
       c.team     = 'myteam'        # your team's name
     end

    # and get a client
    client = IDoneThis.client

    # or....

    # just set the credientals for an individual client
    creds = { username: 'bob@brez.io', 
              password: 'some-password', 
              team: 'my-team' }
    client.login creds

    # then get the list of dones for the team
    
    # from some date to today
    client.dones '2013-01-01'

    # or some range of dates
    client.dones '2013-01-01', '2013-02-01'

## TODO

* Expand iDoneThis service coverage
* More testing

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
